Page MenuHomePhabricator

deployment-parsoidcache02 fails varnish VCL compilation
Closed, ResolvedPublic

Description

root@deployment-parsoidcache02:~# puppet agent -tv
...
Info: Caching catalog for deployment-parsoidcache02.deployment-prep.eqiad.wmflabs
Info: Applying configuration version '1437646874'
Notice: /Stage[main]/Role::Cache::2layer/Varnish::Setup_filesystem[vdb]/Labs_lvm::Volume[vdb]/Labs_lvm::Extend[/srv/vdb]/Exec[extend-vd-/srv/vdb]/returns: executed successfully
Error: /Stage[main]/Role::Cache::Statsd::Frontend/Varnish::Logging::Xcps[xcps]/Base::Service_unit[varnishxcps]/Service[varnishxcps]: Could not evaluate: Could not find init script or upstart conf file for 'varnishxcps'
Error: /Stage[main]/Role::Cache::Statsd::Frontend/Varnish::Logging::Rls[rls]/Base::Service_unit[varnishrls]/Service[varnishrls]: Could not evaluate: Could not find init script or upstart conf file for 'varnishrls'
Error: /Stage[main]/Role::Cache::Statsd/Varnish::Logging::Statsd[default]/Base::Service_unit[varnishstatsd-default]/Service[varnishstatsd-default]: Could not evaluate: Could not find init script or upstart conf file for 'varnishstatsd-default'
Notice: /Stage[main]/Confd/Base::Service_unit[confd]/Service[confd]/ensure: ensure changed 'stopped' to 'running'
Info: /Stage[main]/Confd/Base::Service_unit[confd]/Service[confd]: Unscheduling refresh on Service[confd]
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: Command failed with error code 106
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: Message from VCC-compiler:
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: Cannot read file 'directors.frontend.vcl': No such file or directory
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: ('input' Line 135 Pos 9)
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: include "directors.frontend.vcl";
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: --------########################-
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: 
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: Running VCC-compiler failed, exit 1
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: VCL compilation failed
Notice: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: Error: vcl.load 049c8e60-433d-41c8-8b43-670bb1546c0f /etc/varnish/wikimedia_parsoid-frontend.vcl failed/etc/varnish/wikimedia_parsoid-frontend.vcl 049c8e60-433d-41c8-8b43-670bb1546c0f reload failed
Error: /usr/share/varnish/reload-vcl -n frontend && (rm /var/tmp/reload-vcl-failed-frontend; true) returned 1 instead of one of [0]
Error: /Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[retry-load-new-vcl-file-frontend]/returns: change from notrun to 0 failed: /usr/share/varnish/reload-vcl -n frontend && (rm /var/tmp/reload-vcl-failed-frontend; true) returned 1 instead of one of [0]
Notice: Finished catalog run in 24.19 seconds
root@deployment-parsoidcache02:~#

Event Timeline

hashar created this task.Jul 23 2015, 10:31 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: Aklapper, Luke081515, hashar and 2 others.
thcipriani triaged this task as Normal priority.Jul 27 2015, 7:18 PM

Error is still present.

Change 227402 had a related patch set uploaded (by BBlack):
set dynamic_directors to false for labs

https://gerrit.wikimedia.org/r/227402

Change 227402 merged by BBlack:
set dynamic_directors to false for labs

https://gerrit.wikimedia.org/r/227402

BBlack closed this task as Resolved.Jul 28 2015, 3:11 AM
BBlack claimed this task.

@BBlack you are a hero!

Restricted Application added a project: Operations. · View Herald TranscriptMay 4 2016, 9:14 AM